//12:00 2011/9/26 utf-8
//编辑
//16:26 2011-12-03 注意修改一下后台目录

var WebSiteAdminDir = "/admin";

function Edit_GoodsCurrencyLog(OrderFormId,id)
{
//ID 不是物流ID,切记
	$.ajax({
		type: "POST",
		url: "/UserInfo/GoodsCurrencyLog/Update.aspx?IsAdd=1",
		data:{"OrderFormId":OrderFormId,"UrlReferrerType":1},
		cache: false,
		success: function(msg){
			Common.EditDialg ("GoodsCurrencyLog","发货管理 - 编辑",msg);
			if(jQuery("#IsChecked").val()==1)Common.EditDialgAddButtonEvent("GoodsCurrencyLog",'',null);
			else Common.EditDialgAddButtonEvent("GoodsCurrencyLog",'确定',SaveSub);
		}
	});
	//将本行设置为选中颜色
	SetActive(id);
}

//物流公司的选择
function FirmSelectDlg(id)
{
	$.ajax({
		type:"POST",
		url:  WebSiteAdminDir +"/Dialog/DlgFirm.aspx",
		data:{"id":id},
		cache: false,
		success: function(msg){
			Common.EditDialg ("DlgFirmList","物流公司 - 选择",msg);
			Common.EditDialgAddButtonEvent("DlgFirmList",'',null);
		}
	});
}

//订单的选择
function UserOrderFormSelectDlg(sid){
	$.ajax({
		type:"POST",
		url: WebSiteAdminDir+"/Dialog/DlgUserOrderForm.aspx",
		data:{"strFormId":sid,"IsAdd":0},
		cache: false,
		success: function(msg){
			Common.EditDialg ("DlgUserOrderForm","订单 - 选择",msg);
			//Common.EditDialgAddButtonEvent("DlgUserOrderForm",'',null);
			Common.EditDialgAddButtonEvent("DlgUserOrderForm",'确定',FormSelectSub);
		}
	});
}


//会员收货地址的选择
function UserAddressSelectDlg(id,uid){
	$.ajax({
		type:"POST",
		url: WebSiteAdminDir+"/Dialog/UserAddress.aspx",
		data:{"id":id,"Uid":uid},
		cache: false,
		success: function(msg){
			Common.EditDialg ("DlgUserAddress","收货地址 - 选择",msg);
			Common.EditDialgAddButtonEvent("DlgUserAddress",'确定',UserAddressSelectSub);
		}
	});
}
